UUIDSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.serializers

## Class UUIDSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.UUIDSerializer

- All Implemented Interfaces:
    TypeSerializer<java.util.UUID>
  Direct Known Subclasses:
    TimeUUIDSerializer

      public class UUIDSerializer
      extends java.lang.Object
      implements TypeSerializer<java.util.UUID>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UUIDSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUIDSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.util.UUID>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.util.UUID value)`
    `java.lang.String` | `toString(java.util.UUID value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final UUIDSerializer instance

  - ### Constructor Detail

    - #### UUIDSerializer

          public UUIDSerializer()

  - ### Method Detail

    - #### deserialize

          public java.util.UUID deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.util.UUID>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.util.UUID value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.util.UUID>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.util.UUID>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.util.UUID value)

      Specified by:
        `toString` in interface `TypeSerializer<java.util.UUID>`

    - #### getType

          public java.lang.Class<java.util.UUID> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.util.UUID>`

Copyright © 2018 The Apache Software Foundation